Subject: Re: linux-next: cputime tree build warning

From: Martin Schwidefsky <[email-masked]>
Date: Tue, 19 May 2009 10:47:00 +0200

On Tue, 19 May 2009 08:39:32 +0100
"Abbott, MG (Michael)" <[email-masked]> wrote:

> > Today's linux-next build (x86_64 allmodconfig) produced this warning:
> > 
> > fs/proc/uptime.c: In function 'uptime_proc_show':
> > fs/proc/uptime.c:14: warning: unused variable 'len'
> > 
> > Introduced by commit ed7e789abfc433e46524419b7cc51d949552505e 
> > ("[PATCH]
> > Fix idle time field in /proc/uptime") from the cputime tree.
> 
> Ouch.  I do apologise.  The (now) bogus variable len must have been
> preserved when I rebased from 2.6.29.3 to current git, and I guess I
> didn't spot the warning among all the other warnings in the build.
 
I'll fix the two problems with the patch: 1) remove len, 2) use
cputime_zero to initialize idletime and update the cputime branch.

-- 
blue skies,
   Martin.

"Reality continues to ruin my life." - Calvin.